E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GNet::EventHandlerList::Lock Struct Reference

A raii class to lock and unlock GNet::EventHandlerList. More...

`#include <geventhandlerlist.h>`

## Public Member Functions
| Lock (EventHandlerList &, bool *invalid_p=nullptr)

## Public Attributes
EventHandlerList & | m_list
bool * | m_invalid_p

## Detailed Description

A raii class to lock and unlock GNet::EventHandlerList.

Definition at line 92 of file geventhandlerlist.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/geventhandlerlist.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/geventhandlerlist.cpp